
![](docs/src/logo.svg)

[![DOI](https://zenodo.org/badge/206911554.svg)](https://zenodo.org/badge/latestdoi/206911554)

Electronic voting is considered unsafe for a good reason - no one had shown a trustworthy design. Two different branches had emerged to solve the problem. The first one as used on Estonia relies on the honesty of authority which set's up the system and so excludes people from the process. Other ends are blockchain solutions which, apart from being environmentally unfriendly establishes trust on the basis that people have the most significant economic power to protect the network. The latter certainly is not true!

Recently I designed a transparent, universally verifiable and anonymous voting system — a design which should have crossed the minds of many people. Furthermore, I added to the design an antibribery and anti-coercion defence system with chip-on cards. Four truths had been used to a full extent as never before:

- We can't read human minds (PIN codes)
- We can't read programs from on-chip cards even with a microscope.
- We can't change the programs on an on-chip card in unauthorized ways.
- We can test the asymmetric cryptography algorithm in the chip-on card, knowing only the public key.
The system is a nail to the coffin of honest authority and nail to the coffin of blockchain. Potential is HUGE!

Foundations:

https://github.com/akels/DemocracyCredit/blob/master/docs/src/evote.md

https://discourse.julialang.org/t/a-utopia-for-democratically-funded-projects/28516/13
